Bug 1822130 - clicking “Quay Image Security" makes status card disappear
Summary: clicking “Quay Image Security" makes status card disappear
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: afrahman
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-08 10:29 UTC by shahan
Modified: 2020-07-13 17:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:26:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4976 0 None closed Bug 1822130: Clicking “Quay Image Security" makes status card disappear 2020-06-23 09:53:11 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:26:47 UTC

Description shahan 2020-04-08 10:29:36 UTC
Description of problem:
clicking “Quay Image Security"  makes status card disappear

Version-Release number of selected component (if applicable):

4.5.0-0.nightly-2020-04-07-201442

How reproducible:
Always

Steps to Reproduce:
1. Install the container security operator successfully
2. Goto overview page, then click the  “Quay Image Security"  link in the status card
3.

Actual results:
2.clicking “Quay Image Security"  makes status card disappear
TypeError: Cannot read property 'data' of undefined
    at SecurityBreakdownPopup (main-chunk-e1fb2a670b995273c8fb.min.js:1)
    at Ni (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at Ks (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at Bs (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at Ls (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at Ds (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at vendors~main-chunk-24aa08238b4bbf461812.min.js:155230
    at t.unstable_runWithPriority (vendors~main-chunk-24aa08238b4bbf461812.min.js:155524)
    at co (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)
    at ho (vendors~main-chunk-24aa08238b4bbf461812.min.js:155230)

Expected results:
2. It should show popover and would not make status card disappear

Additional info:

Comment 3 shahan 2020-04-10 08:42:39 UTC
The link  “Quay Image Security" works well
4.5.0-0.ci-2020-04-10-081430

Comment 4 errata-xmlrpc 2020-07-13 17:26:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.